Package org.springframework.aop.config

# Class AdvisorEntry

java.lang.Object
org.springframework.aop.config.AdvisorEntry

All Implemented Interfaces:
  `org.springframework.beans.factory.parsing.ParseState.Entry`

public class AdvisorEntry extends Object implements org.springframework.beans.factory.parsing.ParseState.Entry
`ParseState` entry representing an advisor.

Since:
  2.0
Author:
  Mark Fisher

## Constructor Summary

Constructors
Constructor
Description
`AdvisorEntry(String name)`
Create a new `AdvisorEntry` instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AdvisorEntry

public AdvisorEntry(String name)
Create a new `AdvisorEntry` instance.

Parameters:
  `name` - the bean name of the advisor

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`